=== src/client/plugins/mod_observer/Makefile ===
## Makefile for Olympus Plugin mod_observer
##
## Copyright (c) 2000 Mount Linux Inc.
## Licensed under the terms of the GPL

include ../../../Make.rules

OBJECTS = mod_observer.o ../../widgets/EQDisplay/EQBar.o ../../widgets/EQDisplay/EQDisplay.o
OBJSMOC = moc_mod_observer.o
SRCSMOC = $(OBJSMOC:%.o=%.cc)
CPPFLAGS= $(G_CPPFLAGS) -I../../include -I../../netmessages/include \
          -I../../../common/include -I../../../common/crypto/include \
          -I../../../common/GNU/dlc -I../../../common/GNU/regexx \
          $(QT_INCLUDES) -I../../widgets/EQDisplay
CXXFLAGS= $(G_CXXFLAGS) -g -fPIC
DEFS    = $(G_DEFS)
LDFLAGS = -shared -Xlinker -E
TARGET  = mod_observer.so

.PHONY: all all-recursive clean clean-recursive distclean distclean-recursive \
        install install-recursive

## Build Targets
all: all-recursive

all-recursive: $(TARGET)

.cc.o:
	$(CXX) -c $(CPPFLAGS) $(DEFS) $(CXXFLAGS) -o $@ $<

moc: $(SRCSMOC)

$(TARGET): $(SRCSMOC) $(OBJSMOC) $(OBJECTS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(OBJSMOC) $(LIBS)

## Installation Targets
install:
	@( cd .. && $(MAKE) $(MFLAGS) install )

install-recursive:
	$(INSTALL_MODULE) $(TARGET) $(DESTDIR)$(plugindir)/$(TARGET)

## Clean Targets
clean clean-recursive distclean-recursive:
	rm -f $(OBJECTS) $(SRCSMOC) $(OBJSMOC) $(TARGET)

distclean:
	@( cd .. && $(MAKE) $(MFLAGS) distclean )

## Qt Meta Object Code generated by moc
$(SRCSMOC): $(SRCSMOC:moc_%.cc=%.h)
	$(MOC) $(@:moc_%.cc=%.h) -o $@

## Dependencies
$(OBJECTS) $(OBJSMOC): ../Makefile ../../../Make.rules ../../../common/include/config.h

mod_observer.o: mod_observer.cc mod_observer.h ../../../common/include/netmessage.h
