=== src/client/plugins/mod_software/Makefile ===
## Makefile for Olympus Plugin mod_software
##
## Copyright (c) 2000 Mount Linux Inc.
## Licensed under the terms of the GPL

include ../../../Make.rules

OBJECTS = mod_software.o mod_softwarewin.o mod_swDisplay.o
OBJSMOC = moc_mod_softwarewin.o moc_mod_swDisplay.o
SRCSMOC = $(OBJSMOC:%.o=%.cc)
CPPFLAGS= $(G_CPPFLAGS) -I. -I../../include \
          -I../../netmessages/include \
          -I../../../common/crypto/include \
          -I../../../common/include -I../../../common/GNU/dlc \
          -I../../../common/GNU/regexx $(QT_INCLUDES)
CXXFLAGS= $(G_CXXFLAGS) -s -O2
DEFS    = $(G_DEFS)
LDFLAGS = -fPIC -shared -Xlinker -E
TARGET  = mod_software.so

.PHONY: all all-recursive clean clean-recursive distclean distclean-recursive \
        install install-recursive

## Build Targets
all: all-recursive

all-recursive: $(TARGET)

.cc.o:
	$(CXX) -c $(CPPFLAGS) $(DEFS) $(CXXFLAGS) -fPIC -o $@ $<

moc: $(SRCSMOC)

$(TARGET): $(SRCSMOC) $(OBJSMOC) $(OBJECTS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(OBJSMOC) $(LIBS)

## Installation Targets
install:
	@( cd .. && $(MAKE) $(MFLAGS) install )

install-recursive:
	$(INSTALL_MODULE) $(TARGET) $(DESTDIR)$(plugindir)/$(TARGET)

## Clean Targets
clean clean-recursive distclean-recursive:
	rm -f $(OBJECTS) $(SRCSMOC) $(OBJSMOC) $(TARGET)

distclean:
	@( cd .. && $(MAKE) $(MFLAGS) distclean )

## Qt Meta Object Code generated by moc
$(SRCSMOC): $(SRCSMOC:moc_%.cc=%.h)
	$(MOC) $(@:moc_%.cc=%.h) -o $@

## Dependencies
$(OBJECTS) $(OBJSMOC): ../Makefile ../../../Make.rules ../../../common/include/config.h

mod_software.o: mod_software.cc mod_software.h mod_softwarewin.h ../../../common/include/netmessage.h ../../netmessages/include/nmSourceBuild.h ../../netmessages/include/nmSourceConfig.h ../../netmessages/include/nmSourceExpand.h ../../netmessages/include/nmSourceList.h
mod_softwarewin.o: mod_softwarewin.cc mod_softwarewin.h ../../../common/include/netmessage.h ../../netmessages/include/nmSourceBuild.h ../../netmessages/include/nmSourceConfig.h ../../netmessages/include/nmSourceExpand.h ../../netmessages/include/nmSourceList.h
mod_swDisplay.o: mod_swDisplay.cc mod_swDisplay.h
