=== debian/changelog ===
olympus (0.3.5-2) unstable; urgency=low

  * Made small change to init script so that it handles the server pidfile
  * Server postrm now removes etc dir if it's empty

 -- Mike Markley <mike@markley.org>  Tue,  6 Jun 2000 18:06:13 -0700

olympus (0.3.5-1) unstable; urgency=low

  * New source version
  * Various bugfixes

 -- Mike Markley <mike@markley.org>  Mon,  5 Jun 2000 14:17:57 -0700

olympus (0.3-2) unstable; urgency=low

  * Sample config files needed conffiles entries
  * Moved sysconfdir to /etc/olympus

 -- Mike Markley <mike@markley.org>  Mon,  5 Jun 2000 14:17:12 -0700

olympus (0.3-1) unstable; urgency=low

  * Initial Release.

 -- Mike Markley <mike@markley.org>  Tue,  9 May 2000 15:09:42 -0700

Local variables:
mode: debian-changelog
End:
