=== debian/control ===
Source: olympus
Section: admin
Priority: optional
Build-Depends: autoconf, automake, libqt2-dev
Maintainer: Mike Markley <mike@markley.org>
Standards-Version: 3.0.1

Package: olympus-client
Architecture: any
Depends: ${shlibs:Depends}
Description: Remote configuration & management
 This package contains the Mount Linux Olympus client and plugins.
 .
 Mount Linux Olympus is a GPL'd Open Framework for central, remote
 configuration and maintenance of Linux systems. Using encrypted network
 tunnels for security and a software plugin model for flexibility, it's
 aim is to provide an unprecedented level of usability. By lowering the
 learning curve necessary to use and configure Linux properly, it will
 make Linux a very real option for the average user. Mount Linux Olympus
 provides a simple, clear and consistent graphical user interface to
 even the most complex of system configuration tasks, from setting up
 a network connection to maintaining a complex web server to installing
 new end-user software.

Package: olympus-server
Architecture: any
Depends: ${shlibs:Depends}
Description: Remote configuration & management
 This is the server daemon for Mount Linux Olympus.
 .
 Mount Linux Olympus is a GPL'd Open Framework for central, remote
 configuration and maintenance of Linux systems. Using encrypted network
 tunnels for security and a software plugin model for flexibility, it's
 aim is to provide an unprecedented level of usability. By lowering the
 learning curve necessary to use and configure Linux properly, it will
 make Linux a very real option for the average user. Mount Linux Olympus
 provides a simple, clear and consistent graphical user interface to
 even the most complex of system configuration tasks, from setting up
 a network connection to maintaining a complex web server to installing
 new end-user software.
